digraph "CFG for 'splay_tree_compare_ints' function" {
	label="CFG for 'splay_tree_compare_ints' function";

	Node0x22094f0 [shape=record,color="#b70d28ff", style=filled, fillcolor="#b70d2870",label="{%2:\l  %3 = alloca i32, align 4\l  %4 = alloca i64, align 8\l  %5 = alloca i64, align 8\l  store i64 %0, i64* %4, align 8\l  store i64 %1, i64* %5, align 8\l  %6 = load i64, i64* %4, align 8\l  %7 = trunc i64 %6 to i32\l  %8 = load i64, i64* %5, align 8\l  %9 = trunc i64 %8 to i32\l  %10 = icmp slt i32 %7, %9\l  br i1 %10, label %11, label %12\l|{<s0>T|<s1>F}}"];
	Node0x22094f0:s0 -> Node0x2209be0;
	Node0x22094f0:s1 -> Node0x2209c30;
	Node0x2209be0 [shape=record,color="#3d50c3ff", style=filled, fillcolor="#ef886b70",label="{%11:\l11:                                               \l  store i32 -1, i32* %3, align 4\l  br label %20\l}"];
	Node0x2209be0 -> Node0x2209d20;
	Node0x2209c30 [shape=record,color="#3d50c3ff", style=filled, fillcolor="#ef886b70",label="{%12:\l12:                                               \l  %13 = load i64, i64* %4, align 8\l  %14 = trunc i64 %13 to i32\l  %15 = load i64, i64* %5, align 8\l  %16 = trunc i64 %15 to i32\l  %17 = icmp sgt i32 %14, %16\l  br i1 %17, label %18, label %19\l|{<s0>T|<s1>F}}"];
	Node0x2209c30:s0 -> Node0x2209c80;
	Node0x2209c30:s1 -> Node0x2209cd0;
	Node0x2209c80 [shape=record,color="#3d50c3ff", style=filled, fillcolor="#f1ccb870",label="{%18:\l18:                                               \l  store i32 1, i32* %3, align 4\l  br label %20\l}"];
	Node0x2209c80 -> Node0x2209d20;
	Node0x2209cd0 [shape=record,color="#3d50c3ff", style=filled, fillcolor="#f1ccb870",label="{%19:\l19:                                               \l  store i32 0, i32* %3, align 4\l  br label %20\l}"];
	Node0x2209cd0 -> Node0x2209d20;
	Node0x2209d20 [shape=record,color="#b70d28ff", style=filled, fillcolor="#b70d2870",label="{%20:\l20:                                               \l  %21 = load i32, i32* %3, align 4\l  ret i32 %21\l}"];
}
